Subject: ^M in vc-dir

From: Sam Steingold <[email-masked]>
Date: Thu, 6 Jan 2011 12:49:11 -0500

I am running bzr tip emacs on winxp64.
C-x v d emacs/trunk RET
produces a buffer:

=================================
VC backend : Bzr
Working dir: ~/src/emacs/trunk/
Parent branch      : bzr+ssh://[email-masked]/emacs/trunk/^M

Shelves            : No shelved changes

                         ./
                         lisp/
    edited               lisp/w32-fns.el^M
=================================

where ^M are the actual \r characters.
this breaks things, e.g., I cannot hit RET on the file name, I get the
non-existent file with a ^M in the name.
this does not happen with hg and svn.

(executable-find "bzr")
"c:/Program Files (x86)/Bazaar/bzr.exe"
(executable-find "hg")
"c:/Program Files (x86)/TortoiseHg/hg.exe"
(executable-find "svn")
"c:/gnu/cygwin/bin/svn.exe"

-- 
Sam Steingold <http://sds.podval.org>